=== debian/changelog ===
ros-one-jsk-recognition-msgs (1.2.19-6noble.20251025.2046) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 25 Oct 2025 20:46:06 +0000

ros-one-jsk-recognition-msgs (1.2.19-0noble) noble; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2025 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.18-0noble) noble; urgency=high

  * Fixup 6ac62fef5caba52cbfa71c093b242a1f0b5a1b88 (#2853 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2853>)
    Drop unused catkin_python_setup().
    The call and setup.py are only required when defining python modules,
    but jsk_recognition_msgs does not expose a python package (aside from
    the autogenerated package for the messages).
    This got noticed because Debian's python setuptools complains about
    missing package list in setup.py:
    ---
    error: Multiple top-level packages discovered in a flat-layout: ['srv', 'msg', 'debian', 'action', 'sample'].
    To avoid accidental inclusion of unwanted files or directories,
    setuptools will not proceed with this build.
    If you are trying to create a single distribution with multiple packages
    on purpose, you should not rely on automatic discovery.
    Instead, consider the following options:
    1. set up custom discovery (find directive with include or exclude)
    2. use a src-layout
    3. explicitly set py_modules or packages with a list of names
    To find more information, look for "package discovery" on setuptools docs.
    CMake Error at catkin_generated/safe_execute_install.cmake:4 (message):
    execute_process(/<<BUILDDIR>>package/.obj-x86_64-linux-gnu/catkin_generated/python_distutils_install.sh)
    returned error code
    Call Stack (most recent call first):
    cmake_install.cmake:46 (include)
    ---
  * Add ros_environment (#2836 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2836>)
  * Contributors: Jeremy Kolb, v4hn

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.17-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.16-0noble) noble; urgency=high

  * [feature] VQA using Large-Scale Vision and Language model (#2730 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2730>)
    
      * add ClassificationTask.action, VQATask.action, ClipResult.msg,  QuaryANdProbability.msg, QuestionAndAnswerText.msg, VQAResult.msg
    
  * 
    
      * add image_height and image_width in PanoramaInfo.msg #2753 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2753> from knorth55/panorama-info-image-shape
    
  * add noetic build test (#2756 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2756>)
  * jsk_recognition_msgs : setup.py need src/jsk_recognition_msgs (#2749 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2749>)
    
      * with out this fix, master branch fails with
        ```
        error: package directory 'jsk_recognition_msgs' does not exist
        error: package directory 'src/jsk_recognition_msgs' does not exist
        ```
        Not sure why CI passed
    
  * use catkin_install_python to install python scripts under node_scripts/ scripts/ (#2743 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2743>)
  * image_publisher, enable to publish exif information (#2640 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2640>)
    
      * add ExifGPSInfo.msg, ExifTags.msg
    
  * Add hand pose estimation (#2601 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2601>)
    
      * add HandPose.msg, HandPoseArray.msg
    
  * [jsk_recognition_msgs] add PanoramaInfo.msg (#2579 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2579>)add PanoramaInfo on jsk_recognition_msgs until https://github.com/ros/common_msgs/pull/171 merged
  * Contributors: Iori Yanokura, Kei Okada, Koki Shinjo, Shingo Kitagawa, Wu Liqi, Yoshiki Obinata

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.15-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 10 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.14-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.13-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.12-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 03 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.11-0noble) noble; urgency=high

  * Convert audio data to spectrogram (#2478 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2478>)
    
      * divide program into audio_to_spectrum and spectrum_to_spectrogram
    
  * set chainer version less than 7.0.0 (#2485 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2485>)
    
      * relax test conditions
    
  * fix generate_readme.py and update readme (#2442 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2442>)
  * Publish human skelton msgs in OpenPose node (#2437 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2437>)
    
      * fix typo: skelton -> skeleton
      * add human skelton msgs
    
  * Add sample, test and doc (#2440 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2440>)
    
      * Wait at most ~timeout [sec] in plot_data_to_csv.test
      * Merge branch 'master' into pointit
      * Add test for save_mesh_server.py
      * Add test for plot_data_to_csv.py
      * Add sample for plot_data_to_csv.py
      * Run mkdir if output directory does not exist

