=== debian/control ===
Source: ros-one-jsk-recognition-msgs
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-geometry-msgs, ros-one-jsk-footstep-msgs, ros-one-message-generation, ros-one-pcl-msgs, ros-one-ros-environment, ros-one-sensor-msgs, ros-one-std-msgs
Homepage: https://jsk-docs.readthedocs.io/projects/jsk_recognition/en/latest/jsk_recognition_msgs
Standards-Version: 3.9.2

Package: ros-one-jsk-recognition-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometry-msgs, ros-one-jsk-footstep-msgs, ros-one-message-generation, ros-one-pcl-msgs, ros-one-sensor-msgs, ros-one-std-msgs
Description: ROS messages for jsk_pcl_ros and jsk_perception.
