## ros-one-jsk-recognition-msgs 1.2.19-10noble.20251109.2048

=== debian/changelog ===
ros-one-jsk-recognition-msgs (1.2.19-10noble.20251109.2048) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 09 Nov 2025 20:48:20 +0000
