## ros-one-jsk-recognition-msgs 1.2.19-12noble.20251215.2055

=== debian/changelog ===
ros-one-jsk-recognition-msgs (1.2.19-12noble.20251215.2055) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 20:55:22 +0000
